﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Pivot.Core;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Pivot;

namespace RadPivotGrid_WPF_723379
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void TextBox_TextChanged(object sender, TextChangedEventArgs e)
        {
            this.HighlightCell(this.txtBox.Text, false);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.HighlightCell(this.txtBox.Text, true);
        }

        private void HighlightCell(string text, bool isSearchButtonClicked)
        {
            var cellTemplateSelector = Application.Current.Resources["CellTemplateSelector"] as CellTemplateSelector;
            //this.radPivotGrid.CellTemplateSelector = null;
            cellTemplateSelector.IsSearchButtonClicked = isSearchButtonClicked;
            cellTemplateSelector.EnteredText = text;
            cellTemplateSelector.SelectedCell = null;
            this.radPivotGrid.CellTemplateSelector = cellTemplateSelector;
            this.radPivotGrid.Refresh();
        }
    }
}
